Skip to main content
PATCH
Update Agents in Team

Authorizations

api_access_token
string
header
required

Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.

Path Parameters

account_id
integer
required

The numeric ID of the account

team_id
integer
required

The ID of the team to be updated

Body

application/json
user_ids
integer[]
required

IDs of users to be added to the team

Example:

Response

Success

id
integer
account_id
integer
availability_status
enum<string>
read-only

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests.

Available options:
online,
busy,
offline
auto_offline
boolean

Whether the agent is automatically marked offline when they are away.

confirmed
boolean

Whether the agent has confirmed their email address.

email
string

The email of the agent

available_name
string

The available name of the agent

name
string

The name of the agent

role
enum<string>

The role of the agent

Available options:
agent,
administrator
thumbnail
string

The thumbnail of the agent

custom_role_id
integer

The custom role id of the agent